package de.ozgcloud.admin.setting;

import org.springframework.context.annotation.Configuration;
import org.springframework.data.rest.core.event.ValidatingRepositoryEventListener;
import org.springframework.data.rest.webmvc.config.RepositoryRestConfigurer;

import lombok.RequiredArgsConstructor;

@Configuration
@RequiredArgsConstructor
public class DataRestConfiguration implements RepositoryRestConfigurer {

	private final SettingValidator settingValidator;

	@Override
	public void configureValidatingRepositoryEventListener(ValidatingRepositoryEventListener v) {
		v.addValidator("beforeSave", settingValidator);
		v.addValidator("beforeCreate", settingValidator);
	}
}