package de.ozgcloud.admin.setting;

import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.admin.setting.postfach.Absender;
import de.ozgcloud.admin.setting.postfach.AbsenderVorgangManager;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBody;

@Mapper(unmappedTargetPolicy = ReportingPolicy.WARN)
interface SettingMapper {

	AlfaSettingDTO.AlfaSettingDTOBuilder mapAlfaPostfach(@MappingTarget AlfaSettingDTO.AlfaSettingDTOBuilder builder,
			PostfachSettingBody postfachData);

	VorgangManagerSettingDTO.VorgangManagerSettingDTOBuilder mapVorgangManagerPostfach(
			@MappingTarget VorgangManagerSettingDTO.VorgangManagerSettingDTOBuilder builder, PostfachSettingBody postfachData);

	AbsenderVorgangManager mapAbsenderToAbsenderVorgangManager(Absender absender);
}
